Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.enterprise.ee.cms.core
Class SignalAcquireException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.enterprise.ee.cms.core.SignalAcquireException

All Implemented Interfaces:
  Serializable

    public class SignalAcquireException

extends Exception

Raises exceptions occuring while acquiring signals. If such an exception is raised, a deadlock on group resources through concurrent acquisition of distributed resources is prevented For example, if `FailureRecoverySignal` throws a `SignalAcquireException`, it means that the failed server has returned to operation or that it may not be possible to fence it out of the group. This will indicate a group condition wherein control of resources is atomically defined such that it may be acceptable for most group communication environments for continuing operations.

Version:
  $Revision: 1.3 $
Author:
  Shreedhar Ganapathy Date: Jan 8, 2004
See Also:
  Serialized Form

Constructor Summary
`SignalAcquireException()`
`SignalAcquireException(Exception e)`
`SignalAcquireException(String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SignalAcquireException

    public SignalAcquireException()

### SignalAcquireException

    public SignalAcquireException(String message)

### SignalAcquireException

    public SignalAcquireException(Exception e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.